/**
 *
 * Copyright 2003-2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package javax.mail.event;

import java.util.EventListener;

/**
 * Listener for handling connection events.
 *
 * @version $Rev: 125583 $ $Date: 2005-01-18 19:44:27 -0800 (Tue, 18 Jan 2005) $
 */
public interface ConnectionListener extends EventListener {
    /**
     * Called when a connection is opened.
     */
    public abstract void opened(ConnectionEvent event);

    /**
     * Called when a connection is disconnected.
     */
    public abstract void disconnected(ConnectionEvent event);

    /**
     * Called when a connection is closed.
     */
    public abstract void closed(ConnectionEvent event);
}
